package io.gmss.fiscad.interfaces.infocad.parametre;

import io.gmss.fiscad.entities.infocad.parametre.TypePersonne;
import io.gmss.fiscad.exceptions.BadRequestException;
import io.gmss.fiscad.exceptions.NotFoundException;
import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;

import java.util.List;
import java.util.Optional;

public interface TypePersonneService {

    TypePersonne createTypePersonne(TypePersonne typePersonne) throws BadRequestException;

    TypePersonne updateTypePersonne(Long id, TypePersonne typePersonne) throws NotFoundException;

    void deleteTypePersonne(Long id) throws NotFoundException;

    Page<TypePersonne> getTypePersonneList(Pageable pageable);

    List<TypePersonne> getTypePersonneList();

    Optional<TypePersonne> getTypePersonneById(Long id);
}
